MACXT_Path = System.currentDirectory()
--Chargement des modules
dofile(MACXT_Path.."/MACXT/Systeme/Registre/Registry.lua")
dofile(MACXT_Path.."/MACXT/Modules/Images_Load.lua")
dofile(MACXT_Path.."/MACXT/Modules/GMA.lua")
dofile(MACXT_Path.."/MACXT/Modules/System_Repertoire.lua")
dofile(MACXT_Path.."/MACXT/Modules/MACXTMouse.lua")
dofile(MACXT_Path.."/MACXT/Modules/AidePrograms.lua")
dofile(MACXT_Path.."/MACXT/Modules/Applications.lua")
dofile(MACXT_Path.."/MACXT/Modules/Module_Finder.lua")
dofile(MACXT_Path.."/MACXT/Modules/Finder.lua")
--Fin chargement des modules

--Chargement des composants du shell
dofile(MACXT_Path.."/MACXT/Shell/Menu_MACXT.lua")
dofile(MACXT_Path.."/MACXT/Shell/Finder_MACXT.lua")
dofile(MACXT_Path.."/MACXT/Shell/Image_Viewer.lua")
dofile(MACXT_Path.."/MACXT/Shell/Kernel.lua")
--Fin chargement des composants du sheel
----------------------------------------
REGISTRY:Read("MACXT","Acceuil")
REGISTRY:Read("Dock","Afficher")
REGISTRY:Read("Dock","Infos")
Afficher_Wallpaper_MACXT_TRUE = true
MACXT_Repertoire:Anti_Bug()
--Boucle Principale ( Lancement du Kernel )
while true do
   MACXT_Graphic:Afficher_Wallpaper()
   MACXT_Kernel:Kernel()
   MACXT_Finder:RunAppFinder()
   if Afficher_Acceuil == 1 then
      Window_Hauteur = 200
      Window_Longueur = 440
      MACXT_Graphic:Init_New_Personnal_Window()
      MACXT_Title = "Acceuil de MACXT"
      MACXT_Texte_Window[1] = {Caption = "Bienvenue dans MACXT !!!"}
      MACXT_Texte_Window[2] = {Caption = "MACXT est un shell code en lua pour representer"}
      MACXT_Texte_Window[3] = {Caption = "Mac Os X d'Apple.Pour ceux qui ont deja Mac OS X"}
      MACXT_Texte_Window[4] = {Caption = "chez eux seront surement a l'aise pour s'y retouver."}
      MACXT_Texte_Window[5] = {Caption = "Je vous souhaite a tous une bonne navigation et"}
      MACXT_Texte_Window[6] = {Caption = "j'espere que quelques uns feront quelques"}
      MACXT_Texte_Window[7] = {Caption = "applications pour MACXT, une doc sera creee pour"}
      MACXT_Texte_Window[8] = {Caption = "apprendre a developper une application pour MACXT"}
      MACXT_Texte_Window[9] = {Caption = "Merci d'avoir telecharge MACXT et de le tester..."}
      MACXT_Texte_Window[10] = {Caption = "Luaacro."}
      MACXT_Repertoire:Actualise_Texte_Window()
      if x >= PosX-Window_Longueur/2+3 and x <= PosX-Window_Longueur/2+15 and y >= PosY-Window_Hauteur/2 and y <= PosY-Window_Hauteur/2+MACXT_Top:height() then
         MACXTAide = "Fermer cette fenetre"
         if MACXTKeyPad:cross() then
            Afficher_Personnal_Window = 0
            Afficher_Acceuil = 0
            REGISTRY:Write_On_File("MACXT","Acceuil","Afficher_Acceuil = 0")
         end
      end
   end
   if MACXTKeyPad:select() then
      break
   end
   --screen:print(5,50,"X = "..x.."Y = "..y)
screen:flip()
screen.waitVblankStart()
end
--1872 lignes